<?php

namespace AddonFlare\PaidRegistrations\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Purchase extends XFCP_Purchase
{
    // incase the general "view" permission is disallowed for guests, still give access to this controller
    public function assertViewingPermissions($action)
    {
        if ($this->options()->af_paidregistrations_guest)
        {
            return;
        }

        parent::assertViewingPermissions($action);
    }
}